Skip to main content
GET
Get Account

Authorizations

Authorization
string
header
required

Bearer scheme name used by typed customer admin operations.

Response

Customer account status

Response body for GET /v1/admin/account.

capabilities
object
required

Customer-visible account capabilities and entitlements.

customer_id
string<uuid>
required

Stable UUID for the customer account.

display_name
string
required

Customer-owned display name shown in Mount Thor tooling.

Example:

"Acme Robotics"

namespace_name
string
required

Kubernetes namespace that contains this tenant's compute resources.

Example:

"tenant-acme-prod"

principal_user_id
string<uuid>
required

Customer user UUID associated with the credential used for this request.

status
string
required

Account lifecycle state. active accounts can create keys and use compute.

Example:

"active"

tenant_id
string<uuid>
required

Stable UUID for the default tenant returned for backwards-compatible callers.

tenant_status
string
required

Tenant lifecycle state. Compute calls require an active tenant.

Example:

"active"

tenants
object[]
required

Tenants in this account. Use this list to select a compute namespace.

last_sign_in_at
string | null
Example:

"2026-06-05T17:33:40Z"

locale
string | null
Example:

"en-US"

profile_picture_url
string | null
Example:

"https://workoscdn.com/images/v1/user_01ABC"

user_display_name
string | null
Example:

"Alex Customer"